function [MSDM, lMSDM] = mCGAL_MSDM(V1, F1, V2, F2, options)

if nargin < 5
	options = [];
end
options.radius = getoptions(options, 'radius', 0.015);
options.isGeodesic = getoptions(options, 'isGeodesic', true);
options.display = getoptions(options, 'display', false);
options.nb_threads = getoptions(options, 'nb_threads', 5);
options.multithreading = getoptions(options, 'multithreading', true);
options.alpha = getoptions(options, 'alpha', 0.4);
options.beta = getoptions(options, 'beta', 0.4);
options.gamma = getoptions(options, 'gamma', 0.2);
options.Mpower = getoptions(options, 'Mpower', 3);
options.isRelative = getoptions(options, 'isRelative', true);
[MSDM, lMSDM] = CGAL_MSDM(V1.', F1, V2.', F2, options);
end

function value = getoptions(options, name, value)
if isfield (options, name)
    value = eval(['options.' name ';']);
end
end